Package net.shibboleth.idp.attribute.resolver.spring.dc.saml.impl

# Class AbstractSAMLDataConnectorParser.CustomPropertyDef

java.lang.Object
net.shibboleth.idp.attribute.resolver.spring.dc.saml.impl.AbstractSAMLDataConnectorParser.CustomPropertyDef

Enclosing class:
  AbstractSAMLDataConnectorParser

protected static class AbstractSAMLDataConnectorParser.CustomPropertyDef extends Object
A class for representing the definition of a custom property.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`defaultValue`
Property default value.
`private String`
`name`
Property name.
`private Class<?>`
`prefix`
Property class prefix.
`private boolean`
`reference`
Flag indicating whether property is bean reference.
`private boolean`
`required`
Flag indicating whether property is required.
`private String`
`type`
Property type.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`CustomPropertyDef(Class<?> prefixClass, String propName, String propType, boolean isReference, boolean isRequired)`
Constructor.
`protected`
`CustomPropertyDef(Class<?> prefixClass, String propName, String propType, boolean isReference, boolean isRequired, String defaultVal)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDefault()`
Get the default value.
`String`
`getName()`
Get the property name.
`Class<?>`
`getPrefix()`
Get the property class prefix.
`String`
`getType()`
Get the property type.
`boolean`
`isReference()`
Get the flag indicating whether property is a bean reference.
`boolean`
`isRequired()`
Get the flag indicating whether property is required.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### prefix

@Nonnull private Class<?> prefix
Property class prefix.

### name

@Nonnull private String name
Property name.

### type

@Nonnull private String type
Property type.

### reference

private boolean reference
Flag indicating whether property is bean reference.

### required

private boolean required
Flag indicating whether property is required.

### defaultValue

@Nullable private String defaultValue
Property default value.

## Constructor Details

### CustomPropertyDef

protected CustomPropertyDef(@Nonnull Class<?> prefixClass, @Nonnull String propName, @Nonnull String propType, boolean isReference, boolean isRequired)
Constructor.

Parameters:
  `prefixClass` - property class prefix
  `propName` - property name
  `propType` - property type
  `isReference` - is property bean reference
  `isRequired` - is property required

### CustomPropertyDef

protected CustomPropertyDef(@Nonnull Class<?> prefixClass, @Nonnull String propName, @Nonnull String propType, boolean isReference, boolean isRequired, @Nullable String defaultVal)
Constructor.

Parameters:
  `prefixClass` - property class prefix
  `propName` - property name
  `propType` - property type
  `isReference` - is property bean reference
  `isRequired` - is property required
  `defaultVal` - the default value

## Method Details

### getPrefix

@Nonnull public Class<?> getPrefix()
Get the property class prefix.

Returns:
  the prefix

### getName

@Nonnull public String getName()
Get the property name.

Returns:
  the name

### getType

@Nonnull public String getType()
Get the property type.

Returns:
  the type

### isReference

public boolean isReference()
Get the flag indicating whether property is a bean reference.

Returns:
  the flag

### isRequired

public boolean isRequired()
Get the flag indicating whether property is required.

Returns:
  the flag

### getDefault

@Nullable public String getDefault()
Get the default value.

Returns:
  the default value